> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 요금제 변경

> 청구 플랜 변경

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/billing/change-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/change-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: 청구 플랜 변경
      description: 계정 요금제를 변경하세요.
      operationId: >-
        change_public_billing_plan_v1_public_accounts__account_id__billing_change_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingChangePlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingChangePlanRequest:
      description: 계정 구독 플랜을 변경하기 위한 고객 요청 스키마.
      properties:
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 계획 변경에 대한 발효일을 요청했습니다.
          title: 유효일
        plan_id:
          description: 대상 요금제 ID
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: 플랜 Id
          type: string
      required:
        - plan_id
      title: BillingChangePlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: 작업 후 계정 상태
          title: 계정 상태
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 결제 변경사항이 적용된 시점
          title: 유효 날짜
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 계정이 작업에 적합한지 여부
          title: 대상
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 이전 요금제 ID
          title: 이전 계획 ID
        status:
          description: 결제 작업 상태
          title: 상태
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 대상 요금제 ID
          title: 대상 계획 ID
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````